import request from "@/Utils/requestUtils.js";
import $api from "@/Apis/api";
export const memberService = {
  smsSend: function (phoneNumber) {
    return request.get($api.login.sendCode, {
      params: { mobile: phoneNumber },
      withCredentials: false,
    });
  },
  login: function ({ number, randCode }) {
    return request.post(
      $api.login.login,
      { number, randCode },
      { withCredentials: false }
    );
  },
  logOut: function () {
    return request.get($api.login.logOut);
  },
};
